
:root {
  /* --- Colors --- */
  --color-text: #FFFFFF;
  --color-text-alt: rgba(255, 255, 255, 0.7);
  --color-border: rgba(255, 255, 255, 0.5); 
  --color-bg: #000000;
  --color-surface: #FFFFFF;
  --color-primary: rgba(160, 40, 40, 1);
  --color-secondary: #503B31;

  /* --- font family --- */
  --ff-display: 'Playfair Display', sans-serif;
  --ff-body: 'Noto Serif Japanese', sans-serif;

  /* --- Spacing (8px System) --- */

  --space-8:   clamp(6px, 0.5vw + 4px, 8px);
  --space-16:  clamp(12px, 1vw + 8px, 16px);
  --space-24:  clamp(18px, 1.5vw + 12px, 24px);
  --space-32:  clamp(24px, 2vw + 16px, 32px);
  --space-40:  clamp(30px, 2.5vw + 20px, 40px);
  --space-48:  clamp(36px, 3vw + 24px, 48px);
  --space-64:  clamp(48px, 4vw + 32px, 64px);
  --space-80:  clamp(60px, 5vw + 40px, 80px);
  --space-96:  clamp(72px, 6vw + 48px, 96px);

  /* --- Section Spacing --- */

  --section-space-sm: clamp(80px, 10vw + 40px, 160px);  /* Scales to 160px */
  --section-space-md: clamp(120px, 15vw + 60px, 200px); /* Scales to 200px */
  --section-space-lg: clamp(160px, 20vw + 80px, 256px); /* Scales to 256px (32*8) */

  /* --- Typography --- */

  --fs-xs: clamp(0.8rem, 0.78rem + 0.1vw, 0.95rem);

  --fs-16: 1rem;

  --fs-20: clamp(1rem, 0.98rem + 0.2vw, 1.25rem);

  --fs-25: clamp(1.1rem, 1.05rem + 0.3vw, 1.56rem);

  --fs-31: clamp(1.25rem, 1.15rem + 0.5vw, 1.94rem);

  --fs-39: clamp(1.4rem, 1.25rem + 0.8vw, 2.44rem);

  --fs-49: clamp(1.6rem, 1.4rem + 1.2vw, 3.06rem);

  --fs-61: clamp(1.9rem, 1.6rem + 1.6vw, 3.81rem);

  --fs-76: clamp(2.2rem, 1.8rem + 2.2vw, 4.75rem);

  --fs-91: clamp(2.6rem, 2rem + 3vw, 5.69rem);

  /* --- Border Radius --- */
  --radius-sm: 8px;
  --radius-md: 10px;
  --radius-lg: 16px;

  /* --- Shadows --- */
  --shadow-light: 0 2px 4px rgba(0, 0, 0, 0.05);
  --shadow-medium: 0 4px 12px rgba(0, 0, 0, 0.08);
  --shadow-big: 0 12px 24px rgba(0, 0, 0, 0.12);

  /* --- Layout Widths --- */
  
  /* 1. Full Screen */
  --width-full: 100%;

  /* 2. Contained */
  --width-contained: calc(100% - 128px);
  
  /* 3. Standard Max-Width */ 
  --max-site-width: 1440px; 

  /* Responsive Margin (Mobile safety) */
  --inline-margin: calc(100% - 64px);

  /* -- Glass texture --*/

  --glass: 
    linear-gradient(
      135deg,
      rgba(255,255,255,0.25),
      rgba(255,255,255,0.05)
    )
    padding-box,
    rgba(255,255,255,0.15);

  --glass-border: 1px solid rgba(255,255,255,0.3);
  --glass-shadow: 0 0 20px rgba(255, 255, 255, 0.15);
  --glass-blur: blur(10px);
}

.glass {
  background: var(--glass);
  backdrop-filter: var(--glass-blur);
  -webkit-backdrop-filter: var(--glass-blur);

  border: var(--glass-border);
  box-shadow: var(--glass-shadow);
  border-radius: var(--radius-sm);
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html, body {
  height: 100%;
}

html {
  scroll-behavior: smooth;
}

text {
  word-break: normal;
  overflow-wrap: break-word;
}

body {
  font-family: var(--ff-body);
  background-color: var(--color-bg);
  color: var(--color-text);
  font-size: var(--fs-16);
  line-height: 1.5;
  margin: 0;
}

ul {
  list-style: none;
}

a, button {
  cursor: pointer;
  text-decoration: none;
  color: inherit;
}

.cell-wide {
  grid-column: 1 / -1;
  cursor: none;
}

.reveal-3d {
  display: inline-block;
  perspective: 1000px;
  transform-style: preserve-3d;
  overflow: hidden;
}

/* -- loader -- */

body.loading {
  overflow: hidden;
}

#loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background-color: var(--color-bg);
  z-index: 9999;
  display: flex;
  align-items: flex-end;
  padding: 2rem;
}

#loader-count {
  font-size: clamp(20px, 20vw, 300px);
  font-family: var(--ff-display);
  color: var(--color-text);
  margin-bottom: var(--space-40);
}

@media (max-width: 700px) {
  #loader-count {
    margin-bottom: var(--section-space-sm);
  }
}

/* universal header */

header {
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 3;
  height: 8vh;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 10;
}

header::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 2px;
  background-color: var(--color-border);
  bottom: 0;
}

header h1 {
  font-size: var(--fs-20);
  font-weight: 200;
}

nav {
  max-width: var(--inline-margin);
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
}

.nav-menu {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  gap: var(--space-16);
  font-size: var(--fs-20);
}

.hamburger {
  display: none;
}
.menu-link {
  display: none;
}


@media (max-width: 600px) {
  nav h1 {
    z-index: 11;
  }
  
  .menu-link {
    display: block;
    display: flex;
    font-size: var(--fs-31) !important;
    font-weight: 200;
    gap: var(--space-16);
    margin-top: var(--space-64);
  }

  .menu-link a img {
    width: 2rem;
    height: 2rem;
    cursor: pointer;
  }

  .hamburger {
    display: flex;
    flex-direction: column;
    gap: var(--space-8);
    cursor: pointer;
    z-index: 11;
    width: 2rem;
    border: none;
    background-color: transparent;
    transition: all 0.4s;
  }

  .ham-line {
    display: block;
    width: 100%;
    height: 2px;
    background-color: var(--color-text);
    transition: all 1s;
  }


  .hamburger.active .line-1 {
    transform: rotate(45deg) translate(0.3rem, 0.3rem);
    background-color: var(--color-bg);
  }

  .hamburger.active .line-2 {
    opacity: 0;
  }

  .hamburger.active .line-3 {
    transform: rotate(-45deg) translate(0.4rem, -0.5rem);
    background-color: var(--color-bg);
  }

  .nav-menu {
    position: fixed;
    bottom: 0;
    left: 0;
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: start;
    gap: var(--space-32);
    background-color: var(--color-bg);
    transition: all 0.4s;
    padding-top: var(--section-space-lg);
    opacity: 0;
  }

  .nav-menu li{
    font-size: var(--fs-76); 
    width: 100%;
    padding: 0 var(--space-40);
    letter-spacing: .2rem;
    overflow: hidden;
  }

}

/* -- Buttons variations -- */

.btn-var1 {
  padding: 1rem 2rem;
  border: 2px solid var(--color-primary);
  background-color: var(--color-primary);
  color: var(--color-text);
  font-size: var(--fs-25);
  font-weight: 600;
  cursor: pointer;
  overflow: hidden;
  letter-spacing: 0.1rem;
  box-shadow: 0 0 20px rgba(200, 55, 55, 0.2);
  transition: 0.3s ease;
  border-radius: var(--radius-sm);
}

.btn-var1:hover {
  box-shadow: 0 0 30px rgba(200, 55, 55, 0.6);
  border: 2px solid rgba(200, 55, 55, 0.15);
}

.btn-var2 {
  background: rgba(255, 255, 255, 0.08);
  border: 1px solid rgba(255, 255, 255, 0.15);
  backdrop-filter: blur(6px);
  color: var(--color-text);
  cursor: pointer;
  transition: all 0.4s ease-in-out;
  padding: 1rem 2rem;
  font-size: var(--fs-25);
  border-radius: var(--radius-sm);
}

.btn-var2:hover {
  background: rgba(255, 255, 255, 0.15);
  border: 1px solid rgba(255, 255, 255, 0.3);
  color: var(--color-text);
  transform: rotateX(10deg) translateY(-2px);
}

/* ---- Hero ---*/

.bg-img-wrapper {
  position: relative;
  height: 100%;
  min-height: auto;
  overflow: hidden;
}


#hero {
  min-height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  padding-top: var(--section-space-sm);
}

.hero-bg {
  z-index: -1;
  position: absolute;
  right: 0;
  top: -5%;
}

.hero-container {
  max-width: var(--width-contained);
  min-height: auto;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: var(--space-16);
}

.hero-title {
  display: flex;
  align-items: start;
  gap: var(--space-8);
}

.hero-title svg {
  width: 4rem;
}

.hero-group1 {
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
}

.hero-btns {
  display: flex;
  gap: var(--space-32);
}

.hero-text {
  max-width: 300px;
  width: 100%;
  display: flex;
  flex-direction: column;
  color: var(--color-text-alt);
}

.hero-text :first-child {
  font-size: var(--fs-20);
}

.hero-group1-sec {
  max-width: clamp(400px, 90%, 1000px);
  width: 100%;
  display: flex;
  justify-content: space-between;
}

#hero h1 {
  font-size: clamp(39px, 13vw, 400px);
  font-family: var(--ff-display);
  line-height: 1;
  letter-spacing: 1rem;
  overflow: hidden;
}

.hero-group2 {
  display: flex;
  justify-content: end;
  align-items: end;
  width: 100%;
  height: 100%;
  margin-bottom: var(--space-40);
}

.hero-group1-sec h2 {
  font-size: var(--fs-76);
  font-family: var(--ff-display);
  line-height: 1;
  font-weight: 200;
  overflow: hidden;
  padding-left: var(--space-64);
}

@media (max-width: 900px) {
  .hero-container {
    gap: 0;
  }

  .hero-bg {
    right: -20%;
  }

  .hero-title {
    gap: 0;
    padding: 0;
  }

  #hero h1 {
    letter-spacing: 0.5rem;
  }

  .hero-text {
    font-size: var(--fs-xs);
    width: 100%;
  }
  
  .hero-group1 {
    gap: 0;
    padding-top: var(--space-32);
  }

  .hero-group2 {
    flex-direction: column;
    align-items: start;
    padding: var(--space-64) 0;
    height: 40%;
  }

  .hero-group1-sec {
    flex-direction: column;
    gap: var(--space-32);
  }


}

@media (max-width: 600px) {
  .hero-bg {
    top: 0;
    right: -50%;

  }

  .hero-btns {
    flex-direction: column;
    gap: var(--space-40);
    width: 100%;
    justify-content: center;
    align-items: center;
  }

  .hero-container {
    max-width: var(--inline-margin);
  }

  .hero-title {
    gap: 0;
  }

  #hero h1 {
    letter-spacing: 0.5rem;
    font-weight: 600;
  }

  .hero-title svg {
    width: 2rem;
    transform: translateY(-10px);
  }

  .hero-text {
    font-size: var(--fs-xs);
    width: 60%;
    align-self: end;
  }
  
  .hero-group1 {
    gap: var(--space-64);
    padding-top: var(--space-32);
  }

  .hero-group2 {
    margin-bottom: var(--section-space-sm);
    flex-direction: column;
    align-items: start;
    padding: var(--space-64) 0;
    height: 100%;
  }

}

/* -- about section --- */

#about {
  width: 100%;
  min-height: auto;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: var(--section-space-sm);
}

.about-container {
  max-width: var(--width-contained);
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
}

.about-container h2 {
  font-size: clamp(39px, 13vw, 85px);
  font-family: var(--ff-display);
  font-weight: 200;
}

.about-container p {
  font-size: var(--fs-61);
  color: var(--color-text-alt);
  opacity: 50;
  line-height: 1.6;
  padding-left: var(--space-64);
}

#about-2 {
  position: sticky;
  top: 0;
  min-height: 60vh;
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: var(--space-64);
}

.about-container2 {
  max-width: var(--width-contained);
  width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2px;
  background-color: var(--color-border);
}

.about-cell {
  width: 100%;
  height: 100%;
  background-color: var(--color-bg);
  display: flex;
  justify-content: center;
}

.about-column {
  padding-left: var(--space-24);
  max-width: 500px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
  color: var(--color-text-alt);
}

.about-column h3 {
  font-size: var(--fs-39);
  font-family: var(--ff-display);
  font-weight: 200;
}

.about-store-info {
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
  margin-top: var(--space-16);
}

.about-store-info p {
  font-size: var(--fs-31) !important;
}

.about-store-info ul{
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
}

.about-store-info a,
.about-store-info ul {
  font-size: var(--fs-25);
}

.about-column p {
  padding-left: var(--space-20);
  font-size: var(--fs-25);
}

.about-column p span {
  font-weight: 800;
}

.about-process {
  display: flex;
  flex-direction: column;
  gap: var(--space-16);
}

@media (max-width: 900px) {
  .about-container {
    max-width: var(--inline-margin);
  }

  .about-container h2 {
    font-size: var(--fs-76);
    font-weight: 600;
  }

  .about-container p {
    font-size: var(--fs-39);
  }

  #about-2 {
    min-height: auto;
  }

  .about-container2 {
    grid-template-columns: 1fr;
  }

  .about-cell-mobile {
    display: none;
  }

  .about-column {
    max-width: 100%;
    padding: var(--space-64) 0;
  }
}


#gallery {
  width: 100%;
  min-height: 100vh;
  background-color: var(--color-bg);
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: var(--section-space-sm);
  position: relative;
  top: 0;
  z-index: 3;
  padding-bottom: var(--section-space-sm);
}

.gallery-container {
  max-width: var(--width-contained);
  width: 100%;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  justify-content: center;
  align-items: center;
  row-gap: var(--space-64);
  column-gap: 0;
}

.main-img {
  grid-column: span 2;
  grid-row: span 2;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: end;
  gap: var(--space-24);
}

.main-img p {
  font-size: var(--fs-20);
  color: var(--color-text-alt);
  max-width: 300px;
  width: 100%;
  text-align: center;
}

.gallery-title {
  grid-column: 1 / -1;
  display: flex;
  justify-content: start;
  border-bottom: var(--color-border) 2px solid;
}

.gallery-title h2 {
  font-size: var(--fs-39);
  font-family: var(--ff-display);
  line-height: 1;
  font-weight: 200;
  padding: var(--space-16);
}

#gallery img {
  border-radius: var(--radius-sm);
  box-shadow: var(--shadow-big);
}

.sec-img {
  display: flex;
  justify-content: center;
  align-items: center;
}

@media (max-width: 1100px) {
  .gallery-container {
    grid-template-columns:1fr;
    gap: var(--space-32);
    max-width: var(--inline-margin);
    justify-content: center;
  }

  .main-img {
    grid-column: span 1;
    grid-row: span 1;
    padding-bottom: var(--space-64);

  }
}

#ar005-artist {
  position: relative;
  background-color: var(--color-bg);
  z-index: 3;
  width: 100%;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding-bottom: var(--section-space-sm);
  scroll-margin-top: var(--space-96);
}

.ar005-container {
  max-width: var(--width-contained);
  width: 100%;
  height: 100%;
  display: grid;  
  grid-template-columns: 1fr;
  gap: 2px;
  background: var(--color-border);
}

.ar005-cell {
    width: 100%;
    height: 100%;
    background: var(--color-bg);
    transition: all 0.4s;
    cursor: pointer;
}

.ar005-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: var(--space-32);
}

.ar005-title p {
    color: var(--color-text-alt);
    font-weight: 200;
}

.ar005-title h2 {
    font-size: var(--fs-49);
    font-family: var(--ff-display);
    font-weight: 200;
}

.ar005-main-text ul {
    display: flex;
    gap: var(--space-16);
    color: var(--color-text-alt);
}

.ar005-sub-text {
  display: block;
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
}

.red {
  color: var(--color-primary);
}

.ar005-main-text h3 {
    font-size: var(--fs-25);
    font-family: var(--ff-display);
    font-weight: 600;
}

.ar005-artist-card {
    padding: var(--space-24);
    display: grid;
    justify-content: center;
    align-items: center;
    grid-template-columns: 1fr 3fr;
    grid-template-rows: minmax(200px, auto);
    width: 100%;
    height: 100%;
    font-size: var(--fs-20);
    gap: var(--space-32);
}

.ar005-text-title h3{
    display: flex;
    justify-content: space-between;
    font-size: var(--fs-31);
}

.ar005-text {
    display: flex;
    flex-direction: column;
    gap: var(--space-32);
}

.ar005-img {
    width: 100%;
    height: 100%;
}

.ar005-img img {
    max-width: 200px;
    width: 100%;
    height: 100%;
    object-fit: cover;
    background-color: gray;
    border-radius: 4px;
}

.ar005-cell:hover {
    padding: var(--space-40);
}

.cell-wide:hover {
  padding: 0 !important;
}

@media (max-width: 768px) {
    .ar005-cell:hover {
      padding: 0 !important;
    }

    .ar005-title h2{
        padding: 0;
        font-size: var(--fs-39);
    }

    .ar005-container {
        max-width: var(--inline-margin);
        grid-template-columns: 1fr;
    }

    .ar005-artist-card {
      padding: var(--space-40) 0;
      grid-template-columns: 1fr;
    }

    .ar005-img {
      display: flex;
      justify-content: center;
      align-items: center;
    }
}

#t003-testimonial {
    width: 100%;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding-bottom: var(--section-space-sm);
    background-color: var(--color-bg);
    z-index: 3;
    position: relative;
}

.t003-container {
    max-width: var(--width-contained);
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: var(--space-32);
    background-color: var(--color-bg);
    border-radius: var(--radius-sm);
}

.t003-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    gap: var(--space-8);
    margin-bottom: var(--space-40);
}   

.t003-title h2 {
    font-size: var(--fs-49);
    letter-spacing: .25rem;
    font-family: var(--ff-display);
}

.t003-container p {
    opacity: .75;
}

.t003-content {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-auto-rows: 330px;
    align-items: center;
    justify-content: center;
    gap: var(--space-64);
    width: 100%;
}

.t003-card {
    padding: var(--space-32);
    display: flex;
    flex-direction: column;
    gap: var(--space-16);
    border-radius: 4px;
    box-shadow: var(--shadow-light);
    width: 100%;
    height: 100%;
    font-size: var(--fs-20);
    position: relative;
}

.t003-card::before {
    position: absolute;
    bottom: -5px;
    right: -5px;
    content: "";
    width: 5%;
    height: 30px;
    background-color: var(--color-bg);
    border-radius: 50%;
}

.t003-stars {
    color: var(--color-primary);
}

@media (max-width: 1030px) {
    .t003-container {
        max-width: var(--inline-margin);
    }

    .t003-content {
        grid-template-columns: 1fr 1fr;
    }
}

@media (max-width: 768px) {
    .t003-content {
        grid-template-columns: 1fr;
    }

    .t003-title {
        gap: var(--space-16);
    }
}

/* --- Contact --- */

#contact {
    padding-bottom: var(--space-32);
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--color-bg);
    z-index: 3;
    position: relative;
  }

.contact-container {
    max-width: var(--width-contained);
    width: 100%;
    height: 100%;
    display: grid;
    grid-template-columns: 1fr;
    align-items: center;
    justify-content: center;
    gap: var(--space-32);
}

.contact-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.contact-title h2 {
    font-size: clamp(39px, 13vw, 400px);
    letter-spacing: .25rem;
    font-family: var(--ff-display);
    font-weight: 200;
    width: 100%;
    position: relative;
    line-height: 1.5;
    margin-bottom: var(--space-24);
}

.contact-title h2::after {
    position: absolute;
    content: "";
    width: 100%;
    height: 2px;
    background-color: var(--color-border);
    bottom: 0;
    left: 0;
}

.contact-title p {
    color: var(--color-text-alt);
    font-size: var(--fs-39);
    width: 100%;
    text-align: right;
}

.contact-container p {
    color: var(--color-text-alt);
}

.contact-image {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.contact-row {
    display: grid;
    grid-template-columns: 1fr 2fr;
    align-items: center;
    justify-content: center;
    border-bottom: 2px solid var(--color-border);
    padding: var(--space-24);
}

.contact-row-title {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: var(--space-8);
}

.contact-row-title h3 {
    font-size: var(--fs-25);
    font-family: var(--ff-display);
    font-weight: 200;
}

.contact-info {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
}

.contact-info div {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: var(--space-8);
}

.contact-info div ul {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: var(--space-8);
}

.contact-row button {
    justify-self: center;
}

.contact-container .contact-row:last-child {
    border: none;
}

#booking-form {
  width: 100%;
  padding: 25px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--space-16);
  justify-content: center;
  align-items: center;
}

/* Inputs */
#booking-form input,
#booking-form select,
#booking-form textarea {
  background: transparent;
  border: 1px solid #333;
  padding: var(--space-16);
  border-radius: var(--radius-sm);
  color: var(--color-text);
  outline: none;
  font-size: 14px;
}

select option {
  background-color: var(--color-bg);
  color: var(--color-text);
}

#booking-form textarea,
.upload-box, #booking-form button {
  grid-column: span 2;
}

#booking-form button {
  max-width: 400px;
  display: flex;
  justify-self: center
}

/* textarea height */
#booking-form textarea {
  min-height: 120px;
  resize: vertical;
}

/* Upload box */
.upload-box {
  border: 2px dashed #333;
  padding: 20px;
  border-radius: var(--radius-sm);
  text-align: center;
  cursor: pointer;
  position: relative;
}

.upload-box p {
  color: var(--color-text-alt);
  font-size: 13px;
  margin: 0;
}

.upload-box input {
  position: absolute;
  inset: 0;
  opacity: 0;
  cursor: pointer;
}

@media (max-width: 1000px) {
    .contact-container {
        max-width: var(--inline-margin);
    }

    .contact-row {
        grid-template-columns: 1fr;
        gap: var(--space-24);
    }

    .contact-info {
        flex-direction: column;
        gap: var(--space-32);
    }

    .contact-title h2{
        font-size: var(--fs-91);
        text-align: center;
    }

    .contact-title p {
        font-size: var(--fs-25);
    }

    #booking-form {
      grid-template-columns: 1fr;
      width: 100%;
      padding: 0;
      row-gap: var(--space-24);
    }

    .booking-row {
      display: flex;
      flex-direction: column;
      gap: var(--space-24);
    }

    #booking-form textarea,
    .upload-box, #booking-form button {
      grid-column: span 1;
    }
}

/* --- Footer --- */

footer {
    width: 100%;
    min-height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--color-bg);
    border-top: var(--color-border) 2px solid;
    z-index: 3;
    position: relative;
}

#end {
  width: 100%;
  min-height: auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.end-container {
  max-width: var(--width-contained);
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.end-title {
  grid-column: 1 / -1;
  width: 100%;
  border-bottom: var(--color-border) 2px solid;
  padding: var(--space-16);
}

.end-title h2 {
  font-size: var(--fs-61);
  font-family: var(--ff-display);
  line-height: 1;
  font-weight: 200;
  display: flex;
  justify-content: space-between;
}

.end-column {
  display: flex;
  flex-direction: column;
  gap: var(--space-40);
  align-items: center;
  padding: var(--space-32) 0;
}

.end-column p {
  max-width: 400px;
  width: 100%;
  margin-right: var(--space-64);
}

.end-column a {
  font-weight: 600;
  font-size: var(--fs-20);
  position: relative;
}

.end-column a:after {
  position: absolute;
  content: "";
  width: 100%;
  height: 2px;
  background-color: var(--color-border);
  bottom: -4px;
  left: 0;
  transform: scaleX(0);
  transform-origin: right;
  transition: transform 0.3s ease;
}

.end-column a:hover:after {
  transform: scaleX(1);
  transform-origin: left;
}

.faq-wrapper {
  display: flex;
  flex-direction: column;
  text-align: right;
  gap: var(--space-16);
}

.faq-wrapper h3 {
  font-size: var(--fs-25);
  font-family: var(--ff-display);
  font-weight: 200;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: var(--space-8);
}


.arrow {
  margin-bottom: var(--space-16);
}

.faq-wrapper ul {
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
  color: var(--color-text-alt);
}

.end-links {
  display: flex;
  flex-direction: column;
  gap: var(--space-16);
  max-width: 400px;
  width: 100%;
  align-items: start;
}

.social-links {
  display: flex;
  gap: var(--space-24);
}

.social-links li,
.social-links a {
  font-size: var(--fs-25);
  font-family: var(--ff-display);
  font-weight: 200;
}

.copyright {
  font-size: var(--fs-16);
  color: var(--color-text-alt);
  opacity: .5;
  border-top: var(--color-border) 2px solid;
  width: 100%;
  padding: var(--space-16);
  text-align: center;
}

@media (max-width: 900px) {
    .end-container {
        max-width: var(--inline-margin);
        grid-template-columns: 1fr;
    }

    .end-title h2 {
        padding: 0;
        font-size: var(--fs-39);
    }

    .end-column p {
      margin: 0;
    }

    .end-column {
        align-items: center;
        justify-content: center;
    }

    .faq-wrapper {
        text-align: center;
    }
}

/*-- FAQ --*/

#faq {
    width: 100%;
    height: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: var(--color-bg);
    margin-top: var(--section-space-sm);
}

.faq-container {
  max-width: var(--width-contained);
  width: 100%;
  height: 100%;
  display: grid;  
  grid-template-columns: 1fr;
  grid-auto-rows: 150px;
  gap: 2px;
  background: var(--color-border);
}

.faq-cell {
    width: 100%;
    height: 100%;
    background-color: var(--color-bg);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: var(--space-32);
}

.faq-title {
  display: flex;
  justify-content: start;
  width: 100%;
}

#faq h2 {
    font-size: var(--fs-76);
    font-family: var(--ff-display);
    line-height: 1;
    font-weight: 200;
}

.faq-text {
  max-width: 800px;
}

.faq-content {
  width: 100%;
  display: flex;
  justify-content: space-between;
  gap: var(--space-24);
  padding: var(--space-32) 0;
}

#faq h3 {
  font-size: var(--fs-49);
  font-weight: 200;
  color: var(--color-text-alt);
}

#faq p {
  color: var(--color-text-alt);
}

@media (max-width: 900px) {
    .faq-container {
        max-width: var(--inline-margin);
        grid-auto-rows: auto;
    }

    .faq-cell {
        padding: var(--space-40) 0;
    }

    .faq-content {
      flex-direction: column;
      gap: var(--space-40);
    }
}